MediaWiki

Foreground.css: Difference between revisions

From Mark Twain in the German Language Press

mNo edit summary
mNo edit summary
Line 39: Line 39:
}
}


/**/
/*Styling blockquotes*/
blockquote {
blockquote {
color: unset;
color: #222;
border-left: 2px solid #ccc;
border-left: 2px solid #ccc;
}
}

Revision as of 08:50, 14 July 2025

/* All CSS here will be loaded for users of the Foreground skin */
body {
  background: #fff2e6;
  color: #222;
  font-family:"Helvetica Neue",Helvetica,Roboto,Arial,sans-serif;
  font-style:normal;
  font-weight:normal;
  text-align: justify;
  line-height:1.5;
  margin:0;
  padding:0;
  position:relative
}

/*Add fixed page background for main pages, category pages, and file pages */
.ns-0,
.ns-6,
.ns-14 {
	background: fixed no-repeat center / cover url("images/d/d6/MT-splash.jpg");
}

#page-content > .row {
	background: #fff2e6;
	padding: 2em;
}

/*Create gap between page body and category links at the bottom*/
.catlinks {
	margin: 50px 0 0;
}

/*Style footer to be more consistent and same size*/
#footer ul {
	font-size: 85%;
	text-align: left !important;
}
#footer-right-icons li {
	margin: 0;
}

/*Styling blockquotes*/
blockquote {
	color: #222;
	border-left: 2px solid #ccc;
}

/*Table styling for .wikitables to fit the colour scheme*/
table.wikitable > * > tr > td,
table.wikitable > * > tr > th {
	background: #fff2e6;
	border: 1px solid #fff2e6;
	text-align: left;
}

/*Table styling for .datatables*/
.datatable input {
	padding: 5px;
}

.datatable input::placeholder {
	font-weight: normal;
}